# DBDataSource

## Overview

The `DBDataSource` class provides a utility API to access and manage all currently available datasources within the Servoy application, including those from all valid servers and tables. Accessed in scripting through `datasources.db`, this API facilitates interaction with database servers, tables, and their associated records and schemas. For further reference, see:

* [DBDataSourceServer](https://docs.servoy.com/reference/servoycore/dev-api/datasources/dbdatasourceserver)
* [Datasources](https://docs.servoy.com/reference/servoycore/dev-api/datasources)

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/datasources/dbdatasource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
